问个傻问题,centos7能用eaf的浏览器吗,没有桌面的系统也可以么?

系统: centos7 emacs: GNU Emacs 27.1 python2.7 (好像是系统自带的,我现在用这个装eaf的依赖装不上,)

折腾了一下午也没搞好,

centos7我的emacs用着比较顺,我现在还在虚拟机里跑着呢,我就想emacs看网页,因为英文文档我想用emacs的插件翻译

你可能得自己build一大堆包就是了,

从python到qt(逃

现在我最直接的问题是,我不知道他这些pyhton依赖怎么下载,按他说的pip不能下载,我没有pacman,我就有点蒙了。

CentOS 的软件包太老了,放弃吧,最起码换一个 Debian.

发行版软件包太老的问题EAF无法解决。

我记得可以去Opensuse的软件包网站去下
搜索opensuse软件就能搜到

CentOS 7是有一个名为“python3”的包,但是具体是python 3的哪个小版本,我不清楚,如果你常常“yum update”的话,这个小版本应该是变化的。有一个问题千万小心,yum依赖于python 2,所以说不要卸载yum依赖的那个python 2.7.5,更不要把系统默认的python从2改成3。

我没有在CentOS 7上试过eaf。我在CentOS 7上装python 3的办法有点歪门邪道。我是用的centos-release-scl-rh,对应于这个网址 http://mirror.centos.org/centos/7/sclo/x86_64/rh/ ,里面有python 3.5、python 3.6、python 3.8。我自己安装的是python 3.6,“yum install centos-release-scl-rh”、“yum install rh-python36 rh-python36-python-pip rh-python36-python-nose”。我之后创建了一个/home/USERNAME/bin/env_python3.6目录(USERNAME是我随便写的),然后创建了几个软链接:“ln -s /opt/rh/rh-python36/root/usr/bin/python3.6 /home/USERNAME/bin/env_python3.6/python3”、“ln -s /opt/rh/rh-python36/root/usr/bin/pip3.6 /home/USERNAME/bin/env_python3.6/pip”、“ln -s /opt/rh/rh-python36/root/usr/bin/pip3.6 /home/USERNAME/bin/env_python3.6/pip3”、“ln -s /opt/rh/rh-python36/root/usr/bin/nosetests /home/USERNAME/bin/env_python3.6/nosetests”。需要使用python 3.6时,我在命令前面加上“PATH=$HOME/bin/env_python3.6:$PATH”,如“PATH=$HOME/bin/env_python3.6:$PATH python3 -m venv MM”。你如果用centos-release-scl-rh的话,仅仅只是解决了python3的问题,还是有一些包需要自己build的。

你还有一个办法就是用EPEL,我刚刚搜了一下,EPEL里面有python36-qt5-base( https://centos.pkgs.org/7/epel-x86_64/python36-qt5-base-5.12.1-3.el7.x86_64.rpm.html )。本人没有试过EPEL,你自己折腾吧,要自己build的包也不少。